CVC4::BitVectorSignExtend Struct Reference

`#include <bitvector.h>`

## Public Member Functions

| BitVectorSignExtend (unsigned signExtendAmount)
| operator unsigned () const

## Data Fields

unsigned | signExtendAmount

## Detailed Description

Definition at line 475 of file bitvector.h.

## Constructor & Destructor Documentation

## BitVectorSignExtend()

CVC4::BitVectorSignExtend::BitVectorSignExtend | ( | unsigned | signExtendAmount | ) |

inline

Definition at line 477 of file bitvector.h.

## Member Function Documentation

## operator unsigned()

CVC4::BitVectorSignExtend::operator unsigned | ( |  | ) | const

inline

Definition at line 479 of file bitvector.h.

## Field Documentation

## signExtendAmount

unsigned CVC4::BitVectorSignExtend::signExtendAmount

Definition at line 476 of file bitvector.h.

The documentation for this struct was generated from the following file:

- src/util/bitvector.h